--- h323pdu.cxx.orig	2014-02-13 22:40:29.000000000 +0600
+++ h323pdu.cxx	2014-02-14 12:23:51.000000000 +0600
@@ -255,7 +255,12 @@
         for (PINDEX i = 0; tag < 0 && i < 5; i++) {
           if (type == aliasAddressTypes[i].name) {
             tag = aliasAddressTypes[i].tag;
-            name = name.Mid(colon+1);
+            // if name looks like h323:user@hostport treat as url-ID
+            // instead of treating as h323-ID (not removing 'h323:' prefix from alias)
+            if (tag == H225_AliasAddress::e_h323_ID && IsURL(name))
+              tag = H225_AliasAddress::e_url_ID;
+            else
+              name = name.Mid(colon+1);
           }
         }
       }
